Package org.apache.sis.coverage.grid

## Class IncompleteGridGeometryException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - IllegalStateException
        - - IncompleteGridGeometryException

- All Implemented Interfaces:
    `Serializable`

      public class IncompleteGridGeometryException
      extends IllegalStateException

  Thrown by `GridGeometry` when a grid geometry can not provide the requested information. For example this exception is thrown when `GridGeometry​.getEnvelope()` is invoked while the grid geometry has been built with a null envelope.

  The `GridGeometry​.isDefined(int)` can be used for avoiding this exception. For example if a process is going to need both the grid extent and the "grid to CRS" transform, than it can verify if those two conditions are met in a single method call:

  >     if (gg.isDefined(GridGeometry.EXTENT | GridGeometry.GRID_TO_CRS) {
  >         GridExtent    extent    = gg.getGridExtent();
  >         MathTransform gridToCRS = gg.getGridToCRS(PixelInCell.CELL_CENTER);
  >         // Do the process.
  >     }

  Since:
    1.0
  See Also:
    Serialized Form

  Defined in the `sis-feature` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncompleteGridGeometryException()` | Constructs an exception with no detail message.
    `IncompleteGridGeometryException​(String message)` | Constructs an exception with the specified detail message.
    `IncompleteGridGeometryException​(String message, Throwable cause)` | Constructs an exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompleteGridGeometryException

          public IncompleteGridGeometryException()

      Constructs an exception with no detail message.

    - #### IncompleteGridGeometryException

          public IncompleteGridGeometryException​(String message)

      Constructs an exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### IncompleteGridGeometryException

          public IncompleteGridGeometryException​(String message,
                                                 Throwable cause)

      Constructs an exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.